Loading...
Searching...
No Matches
gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData Struct Reference
Collaboration diagram for gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData:
[legend]

## Public Attributes

const DynamicEngine & | engine
double | T9
double | rho
fourdst::composition::Composition & | comp
const std::unordered_map< fourdst::atomic::Species, size_t > & | qse_solve_species_index_map
const std::vector< fourdst::atomic::Species > & | qse_solve_species
const QSESolver & | instance
std::vector< double > | row_scaling_factors
const double | initial_group_mass

## Member Data Documentation

## comp

fourdst::composition::Composition& gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::comp

## engine

const DynamicEngine& gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::engine

## initial_group_mass

const double gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::initial_group_mass

## instance

const QSESolver& gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::instance

## qse_solve_species

const std::vector<fourdst::atomic::Species>& gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::qse_solve_species

## qse_solve_species_index_map

const std::unordered_map<fourdst::atomic::Species, size_t>& gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::qse_solve_species_index_map

## rho

double gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::rho

## row_scaling_factors

std::vector<double> gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::row_scaling_factors

## T9

double gridfire::engine::MultiscalePartitioningEngineView::QSESolver::UserData::T9

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/views/engine_multiscale.h